#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string str;
    cin>>str;
    int a1,a2;
    cin>>a1>>a2;
    if(a1==a2)
    {
        for(int i=0;i<(a1+a2)/2;i++)
        {
            cout<<str;
        }
    }
    else if(a1==a2+1)
    {
        for(int i=0;i<(a1+a2)/2;i++)
        {
            cout<<str;
        }
        cout<<str[0];
    }
    else if(a2==a1+1)
    {
        cout<<str[1];
        for(int i=0;i<(a1+a2)/2;i++)
        {
            cout<<str;
        }
    }
    else
    {
        cout<<"nemoguce";
    }
    return 0;
}